import React from 'react'
import Popup from '@/components/Popup'
import Taro from '@tarojs/taro'
import { Input, Button, View, Picker, Label } from '@tarojs/components'
import './ShareRoom.less'
import { useState } from 'react'


export default (props) => {
  const { showCutover, onClose,roomId } = props
  const [date, setDate] = useState('')
  const [roomNum, setRoomNum] = useState(0)
  const handelDate = (e) => {
    setDate(e.detail.value)
  }
const handelShare=()=>{
  if(roomNum!=0&&date!=''){
    console.log(roomNum,date,roomId)
  }
}
  return (
    <Popup show={showCutover} onClose={onClose}>
      <View><Label>入住人数：</Label><Input focus dataField='nm' onInput={(e) => setRoomNum(e.detail.value )} value={roomNum} type='number' placeholder='请输入入住人数' /></View>
      <View>
        <Label>入住时间：</Label>
        <Picker mode='date' onChange={handelDate}>
          <View className='picker'  >
            {date == '' ? '请选择入住时间' : date}
          </View>
        </Picker>
      </View>
      <View><Button className='btn' onClick={onClose}>取消</Button><Button className='btn' onClick={handelShare}>分享</Button></View>
    </Popup>
  )
}